<?php
include "../../system/lib/config.php";

class FrameworkTest extends System {
    public function __construct(){
        parent::__construct();
    }
    
    public function checkRemoteAddress(){
        $devSetting = $this -> getSettingConfiguration("tester_tool_conf");
        
        if($devSetting){
            $ipAddresses    = explode(",", $devSetting -> ip_address);
            $remoteAddress  = $this -> getColumnData($_SERVER, "REMOTE_ADDR");
            
            if(in_array($remoteAddress, $ipAddresses))
                return true;
        }
        
        return false;
    }
}